var windowType = null;

function otb_saveSignature() { // Saves a signature
    if(windowType == "add" || windowType == "edit") {   // If the window type is add or edit
        const description  = document.getElementById("otb.description").value.trim();
        const signature    = document.getElementById("otb.signature").value.trim();

        if(!description) {  // If the description is empty
            alert(stringBundle.getString("otb.emptyDescription"));
            return false; }
        else {
            window.opener.otb_description = description;
            window.opener.otb_signature = signature;
            return true; }
    	} 
	else { return true; }
}

function otb_clearSignature() { // Clears the signature
    window.opener.otb_description = null;
    window.opener.otb_signature   = null;
}

function otb_initializeSignatures() { // Initializes the signature dialog box
    const stringBundle = document.getElementById("otbstrings");
    windowType = window.arguments[0];

    if(windowType == "add") {     // If the window type is add
		title = stringBundle.getString("otb.addSignatureTitle"); }
    else if(windowType == "edit") {
        title = stringBundle.getString("otb.editSignatureTitle");

        document.getElementById("otb.description").value = window.arguments[1];
        document.getElementById("otb.signature").value  = window.arguments[2];
    }
}
